Name:          jonathan-jeremie
Version:       4.2.2
Release:       %mkrel 1
Summary:       RMI-like programming style
Group:         Development/Java
License:       LGPL
Url:           http://jonathan.ow2.org/
# cvs -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonathan login
# cvs -z3 -d:pserver:anonymous@cvs.forge.objectweb.org:/cvsroot/jonathan export -r JEREMIE_4_2_2 jeremie
# tar czf jeremie-4.2.2-src-cvs.tar.gz jeremie
Source0:       jeremie-4.2.2-src-cvs.tar.gz
Source1:       jonathan-jeremie-4.2.2.pom
BuildRequires: ant17
BuildRequires: java-devel
BuildRequires: jonathan-core
BuildRequires: jpackage-utils
BuildRequires: kilim1
BuildRequires: monolog
BuildRequires: nanoxml
BuildRequires: objectweb-anttask
Requires:      jonathan-core
Requires:      jpackage-utils
Requires:      kilim1
Requires:      monolog
BuildArch:     noarch

%description
JEREMIE is an implementation of RMI provided by the Jonathan
Objectweb project. It provides local call (RMI calls within
a same JVM) optimization.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Jeremie provides an RMI-like programming style.

This package contains javadoc for %{name}.

%prep
%setup -q -n jeremie

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd externals
  ln -sf $(build-classpath jonathan-core) jonathan-core.jar
  ln -sf $(build-classpath kilim1) kilim.jar
  ln -sf $(build-classpath nanoxml-lite) nanoxml-lite-2.2.1.jar
  ln -sf $(build-classpath monolog/ow_util_log_api) ow_util_log_api.jar
popd
pushd config
  ln -sf $(build-classpath objectweb-anttask) ow_util_ant_tasks.jar
popd

%build

export CLASSPATH=$(build-classpath jonathan-core kilim1 monolog/ow_util_log_api nanoxml-lite objectweb-anttask)
ant17 \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  jar jdoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 output/dist/lib/jeremie.jar \
  %{buildroot}%{_javadir}/jonathan-jeremie-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jonathan-jeremie-%{version}
cp -pr output/dist/doc/javadoc/user/* %{buildroot}%{_javadocdir}/jonathan-jeremie-%{version}
ln -sf jonathan-jeremie-%{version} %{buildroot}%{_javadocdir}/jonathan-jeremie

%files
%{_javadir}/jonathan-jeremie-%{version}.jar
%{_javadir}/jonathan-jeremie.jar
%doc README.txt

%files javadoc
%{_javadocdir}/jonathan-jeremie-%{version}
%{_javadocdir}/jonathan-jeremie



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 4.2.2-1.mga2
+ Revision: 138216
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jonathan-jeremie


* Sat Jun 25 2011 gil <gil> 4.2.2-0.%%mkrel
- initial rpm